Privilege Escalation Affecting github.com/gravitational/teleport/lib/srv/regular Open this link in a new tab package, versions <7.3.23 >=8.0.0-alpha.1 <8.3.14 >=9.0.0-beta.1 <9.3.4


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-GITHUBCOMGRAVITATIONALTELEPORTLIBSRVREGULAR-2869116

  • published

    15 Jun 2022

  • disclosed

    12 Jun 2022

  • credit

    Unknown

Introduced: 12 Jun 2022

New CWE-269 Open this link in a new tab

How to fix?

Upgrade github.com/gravitational/teleport/lib/srv/regular to version 7.3.23, 8.3.14, 9.3.4 or higher.

Overview

github.com/gravitational/teleport/lib/srv/regular is a The Regular package implements an SSH server that supports multiplexing tunneling, SSH connection proxying, and only supports key based auth.

Affected versions of this package are vulnerable to Privilege Escalation when setting up agent forwarding. This allows users to grant arbitrary file permissions to themselves.